# vim: set ft=spec: -*- spec -*-
# $Id: xscreensaver,v 1.12 2004/08/16 10:00:36 raorn Exp $

# xscreensaver RPM macros (keep in sync with Source5):
%define xss_hack_dir	%_x11libdir/%name
%define xss_conf_dir	%xss_hack_dir/config
%define xss_ad_dir	%_sysconfdir/X11/%name/hack.d

%define _update_xscreensaver_bin %_x11bindir/update-%name
%define update_xscreensaver	[ -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
%define clean_xscreensaver	[ "$1" = 0 -a -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
#

Name: xscreensaver
Version: 4.18
Release: alt1
Summary: A screen saver and locker for the X window system
License: BSD
Group: Graphical desktop/Other
Url: http://www.jwz.org/%name
Packager: Sir Raorn <raorn@altlinux.ru>

Source: %url/%name-%version.tar.gz
Source1: %name.pamd
#Source2: %name-capplet.png
Source3: %name-update.sh
Source4: %name-%version-ad.tar.bz2
Source5: %name.rpmmacros

Patch: %name-4.18-alt-mdk-oneshot.patch
Patch1: %name-4.11-alt-pam_userpass.patch
Patch2: %name-4.08-alt-progname.patch
Patch4: %name-4.11-alt-encoding.patch
Patch5: %name-4.08-cyrilm-alt-maze_walk.patch
Patch6: %name-4.11-alt-glplanet-args.patch
Patch7: %name-4.11-alt-perl-disable-diagnostics.patch

Requires: xli urlview
Requires: %name-hack

# Depends on Patch1
%set_autoconf_version 2.5
BuildPreReq: autoconf_2.5

# Automatically added by buildreq on Mon Apr 14 2003 and filtered by raorn
BuildRequires: XFree86-devel bc fontconfig fortune-mod glib2-devel libGLU-devel libatk-devel libglade2-devel libgle-devel libgtk+2-devel libjpeg-devel libpam-devel libpango-devel libxml2-devel pam_userpass-devel pkgconfig xpm-devel zlib-devel

%description
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

%package devel
Summary: A screen saver and locker for the X window system - RPM macros
Group: Development/Other
Conflicts: %name > %version-%release
Conflicts: %name < %version-%release
PreReq: %_sysconfdir/rpm/macros.d

%description devel
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains RPM macros needed to build packages
for additional xscreensaver hacks.

%package hacks
Summary: A screen saver and locker for the X window system - standard hacks
Group: Graphical desktop/Other
Requires: %name = %version-%release
Provides: %name-hack = %version-%release
# By webcollage...
Requires: netpbm libjpeg-utils
# By noseguy and phosphor
Requires: fortune-mod

%description hacks
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains standard hacks.

%package hacks-gl
Summary: A screen saver and locker for the X window system - GL hacks
Group: Graphical desktop/Other
Requires: %name = %version-%release
Provides: %name-hack = %version-%release
Provides: %name-gl = %version-%release
Obsoletes: %name-gl
# By starwars
Requires: fortune-mod

%description hacks-gl
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains OpenGL hacks.

%package frontend
Summary: A screen saver and locker for the X window system - configuration frontend
Group: Graphical desktop/Other
Requires: %name = %version-%release

%description frontend
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains xscreensaver configuration frontend.

%package gnome
Summary: A screen saver and locker for the X window system - GNOME capplet
Group: Graphical desktop/GNOME
Requires: gnome-control-center
Requires: %name-frontend = %version-%release

%description gnome
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains GNOME screensaver capplet.

%package kde
Summary: A screen saver and locker for the X window system - KDE kss module
Group: Graphical desktop/KDE
Requires: kdebase-common
Requires: %name-frontend = %version-%release

%description kde
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains KDE screensaver module

%package contrib
Summary: A screen saver and locker for the X window system - config files for foreign hacks
Group: Graphical desktop/Other
Requires: %name = %version-%release

%description contrib
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains configuration files for foreing hacks
such as xaos, xearth, xfishtank, etc...

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%__autoconf

%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
%{_configure_script} %{?_configure_target:%{_configure_target}} \
  %{?_configure_gettext:%{_configure_gettext}} \
  --prefix=%_x11dir \
  --with-configdir=%_x11libdir/%name/config \
  --without-motif \
  --with-pam \
  --without-shadow \
  --with-gl \
  --without-pixbuf

%make_build

%install
%__mkdir_p %buildroot{%_bindir,%_sysconfdir/{rpm/macros.d,X11/{app-defaults,%name}},%_menudir,%_sysconfdir/pam.d,%_datadir/pixmaps}
%make_install install_prefix=%buildroot \
  KDEDIR=%_prefix \
  GNOME_BINDIR=%_bindir \
  AD_DIR=%_sysconfdir/X11/app-defaults \
  install

%__install -m640 %SOURCE1 %buildroot%_sysconfdir/pam.d/%name
%__install -m755 %SOURCE3 %buildroot%_x11bindir/update-%name
%__install -m644 %SOURCE5 %buildroot%_sysconfdir/rpm/macros.d/%name

%__tar xjf %SOURCE4 -C %buildroot%_sysconfdir/X11/%name

%find_lang %name

%__cat <<EOF > %buildroot%_menudir/%name-frontend
?package(%name-frontend): needs=X11 \
section="Configuration/Other" \
title="XScreenSaver" \
longtitle="Configure the setting of the XScreenSaver" \
command="%name-demo"
EOF

%__cat <<EOF > %buildroot%_menudir/%name-gnome
?package(%name-gnome): needs=gnome \
section="Configuration/Gnome" \
title="Screensaver" \
longtitle="Configure the setting of the screensaver" \
icon="xscreensaver.xpm" \
command="%_bindir/screensaver-properties-capplet"
EOF

%__cat <<EOF > %buildroot%_menudir/%name-kde
?package(%name-kde): needs=kde \
kde_filename="XScreenSaver" \
section=".hidden/ScreenSavers" \
title="XScreenSaver" \
longtitle="Configure the setting of the screensaver" \
icon="kscreensaver.png" \
command="%name.kss" \
kde_opt="\\\\nEncoding=UTF-8\\\\nActions=Setup;InWindow;Root\\\\n[Desktop Action Setup]\\\\nExec=%name.kss -setup\\\\nName=Setup...\\\\nName[af]=opstelling...\\\\nName[az]=Qurulum...\\\\nName[bg]=Настройки...\\\\nName[br]=Kefluniadur...\\\\nName[bs]=Postavke...\\\\nName[ca]=Configuració...\\\\nName[cs]=Nastavení...\\\\nName[da]=Opsætning...\\\\nName[de]=Einrichtung...\\\\nName[es]=Configuración...\\\\nName[et]=Seadistused...\\\\nName[eu]=Konfigurazioa...\\\\nName[fi]=Asetukset...\\\\nName[fr]=Configuration...\\\\nName[he]=הגדרות...\\\\nName[hr]=Postavke...\\\\nName[hu]=Beállítás...\\\\nName[id]=Aturan...\\\\nName[is]=Stillingar...\\\\nName[it]=Impostazioni...\\\\nName[ja]=セットアップ...\\\\nName[lt]=Nustatymas...\\\\nName[lv]=Uzstādīšana...\\\\nName[mk]=Опции...\\\\nName[nb]=Oppsett...\\\\nName[nl]=Instellingen...\\\\nName[nn]=Oppsett ...\\\\nName[pl]=Ustawienia...\\\\nName[pt]=Configurar...\\\\nName[pt_BR]=Configurar...\\\\nName[ro]=Opţiuni...\\\\nName[ru]=Настройка...\\\\nName[sk]=Nastavenie...\\\\nName[sl]=Nastavljanje...\\\\nName[sr]=Podesi...\\\\nName[sv]=Inställningar...\\\\nName[ta]=«¨ÁôÒ...\\\\nName[th]=ติดตั้ง...\\\\nName[tr]=Kurulum...\\\\nName[uk]=Встановити...\\\\nName[ven]=Vhekanya...\\\\nName[wa]=Apontyî...\\\\nName[xh]=Iyacwangciswa...\\\\nName[xx]=xx\\\\nName[zh_CN]=设置...\\\\nName[zh_TW]=設定...\\\\nName[zu]=Iyalungiselela...\\\\nIcon=kscreensaver\\\\n[Desktop Action InWindow]\\\\nExec=%name.kss -window-id %w\\\\nName=Display in specified window\\\\nName[af]=vertoon in gespesifiseer venster\\\\nName[az]=Bİldirilən pəncərədə göstər\\\\nName[bg]=Изображение в зададен прозорец\\\\nName[br]=Diskwel er prenestr spisaet\\\\nName[bs]=Prikaži u navedenom prozoru\\\\nName[ca]=Mostra a la finestra especificada\\\\nName[cs]=Zobrazit v určeném okně\\\\nName[da]=Visning i angivet vindue\\\\nName[de]=In vorgegebenem Fenster anzeigen\\\\nName[es]=Mostrar en la ventana especificada\\\\nName[et]=Määratud aknas näitamine\\\\nName[eu]=Zehaztutako lehioan erakutsi\\\\nName[fa]=نمایش در پنجره‌ی مشخص\\\\nName[fi]=Näytä määrätyssä ikkunassa\\\\nName[fr]=Affichage dans la fenêtre spécifiée\\\\nName[he]=הצג בחלון המצויין\\\\nName[hr]=Prikaži u navedenom prozoru\\\\nName[hu]=Megjelenítés a megadott ablakban\\\\nName[id]=Ditampilkan di window khusus\\\\nName[is]=Birta í völdum glugga\\\\nName[it]=Mostra nella finestra specificata\\\\nName[ja]=特定のウィンドウで表示\\\\nName[lt]=Rodyti specialiame lange\\\\nName[lv]=Rādīt norādītajā logā\\\\nName[mk]=Приказ во избран прозорец\\\\nName[mt]=Uri f'window speċifika\\\\nName[nb]=Vis i det oppgitte vinduet\\\\nName[nl]=In een gedefinieerd venster weergeven\\\\nName[nn]=Vis i oppgitt vindauge\\\\nName[pl]=Wyświetl w zadanym oknie\\\\nName[pt]=Mostrar na janela especificada\\\\nName[pt_BR]=Mostrar em janela especificada\\\\nName[ro]=Afişează în fereastra specificată\\\\nName[ru]=Отображать в указанном окне\\\\nName[sk]=Zobraziť v zadanom okne\\\\nName[sl]=Prikaz v določenemu oknu\\\\nName[sr]=Prikaži u zadatom prozoru\\\\nName[sv]=Visa i angivet fönster\\\\nName[ta]=ÌÈ¢ò¾ º¡ÇÃò¾¢ü ¸¡ðÎ\\\\nName[th]=แสดงในหน้าต่างที่กำหนด\\\\nName[tr]=Belirtilen pencerede göster\\\\nName[uk]=Відобразити у вказаному вікні\\\\nName[ven]=Sumbedzani kha windo dzo bulwaho fhedzi\\\\nName[xh]=Bonisa kwi window ekhankanyiweyo\\\\nName[xx]=xx\\\\nName[zh_CN]=在指定的窗口中显示\\\\nName[zh_TW]=在指定的視窗中顯示\\\\nName[zu]=Khombisa iwindi elicacisiwe\\\\n[Desktop Action Root]\\\\nExec=%name.kss -root\\\\nName=Display in root window\\\\nName[af]=vertoon in root venster\\\\nName[az]=Kök pəncərədə göstər\\\\nName[bg]=Изображение в корневия прозорец\\\\nName[bs]=Prikaži u korijenskom prozoru\\\\nName[ca]=Mostra a la finestra arrel\\\\nName[cs]=Zobrazit na pozadí plochy\\\\nName[da]=Visning i root-vindue\\\\nName[de]=In Hintergrundfenster anzeigen\\\\nName[es]=Mostrar en la ventana raíz\\\\nName[et]=Root aknas näitamine\\\\nName[eu]=Erro lehioan erakutsi\\\\nName[fa]=نمایش در پنجره‌ی ریشه\\\\nName[fi]=Näytä root-ikkunassa\\\\nName[fr]=Affichage dans la fenêtre racine\\\\nName[he]=הצג בחלון השורש\\\\nName[hr]=Prikaži u korijenskom prozoru\\\\nName[hu]=Megjelenítés a gyökérablakban\\\\nName[id]=Ditampilkan di root window\\\\nName[is]=Birta í bakgrunni skjáborðs\\\\nName[it]=Mostra sullo sfondo\\\\nName[ja]=ルートウィンドウで表示\\\\nName[lt]=Rodyti root lange\\\\nName[lv]=Rādīt saknes logā\\\\nName[mk]=Приказ на работната површина\\\\nName[mt]=Uri fil-window ewlenija\\\\nName[nb]=Vis i bunnvinduet\\\\nName[nl]=In hoofdvenster weergeven\\\\nName[nn]=Vis i rotvindauget\\\\nName[pl]=Wyświetl w oknie pierwotnym\\\\nName[pt]=Mostrar na janela de fundo\\\\nName[pt_BR]=Mostrar na janela-raiz\\\\nName[ro]=Afişează în fereastra root\\\\nName[ru]=Отображать в корневом окне\\\\nName[sk]=Zobraziť v koreňovom okne\\\\nName[sl]=Prikaz v korenskem oknu\\\\nName[sr]=Prikaži u glavnom (root) prozoru \\\\nName[sv]=Visa i rotfönstret\\\\nName[ta]=§Å÷î º¡ÇÃò¾¢ü ¸¡ðÎ\\\\nName[th]=แสดงในหน้าต่างหลัก\\\\nName[tr]=Kök pencerede göster\\\\nName[uk]=Відобразити на тлі екрана\\\\nName[ven]=Sumbedzani kha windo ya mudzi\\\\nName[xh]=Bonisa kwingcambu ye window\\\\nName[xx]=xx\\\\nName[zh_CN]=在根窗口中显示\\\\nName[zh_TW]=在根視窗中顯示\\\\nName[zu]=Bonisa kwingcambu ye window"
EOF

%post
%update_xscreensaver

%post hacks
%update_xscreensaver

%post hacks-gl
%update_xscreensaver

%post contrib
%update_xscreensaver

%post frontend
%update_menus

%post gnome
%update_menus

%post kde
%update_menus

%postun hacks
%clean_xscreensaver

%postun hacks-gl
%clean_xscreensaver

%postun contrib
%clean_xscreensaver

%postun frontend
%clean_menus

%postun gnome
%clean_menus

%postun kde
%clean_menus

%files
%doc README README.debugging INSTALL
%verify(not md5 size mtime) %ghost %config(missingok) %_sysconfdir/X11/app-defaults/XScreenSaver
%dir %_sysconfdir/X11/%name
%dir %xss_ad_dir
%config %_sysconfdir/X11/%name/%name.top
%config %_sysconfdir/X11/%name/%name.bottom
%attr(640,root,chkpwd) %config(noreplace) %_sysconfdir/pam.d/*
%attr(2711,root,chkpwd) %_x11bindir/%name
%_x11bindir/%name-command
%_x11bindir/%name-getimage
%_x11bindir/%name-getimage-file
%_x11bindir/%name-getimage-video
%_x11bindir/update-%name
%_x11mandir/man1/%name.1*
%_x11mandir/man1/%name-command.1*
%_x11mandir/man1/%name-getimage.1*
%_x11mandir/man1/%name-getimage-file.1*
%_x11mandir/man1/%name-getimage-video.1*

%dir %_datadir/%name
%dir %xss_hack_dir
%dir %xss_conf_dir

%xss_hack_dir/ljlatest
%_x11mandir/man1/ljlatest.1*

%_datadir/%name/*

%files frontend -f %name.lang
%_x11bindir/%name-demo
%_x11mandir/man1/%name-demo.1*
%_menudir/%name-frontend

%files devel
%_sysconfdir/rpm/macros.d/%name

%files hacks
%config %xss_ad_dir/anemone.xss
%xss_hack_dir/anemone
%xss_conf_dir/anemone.xml
%_x11mandir/man1/anemone.1*

%config %xss_ad_dir/anemotaxis.xss
%xss_hack_dir/anemotaxis
%xss_conf_dir/anemotaxis.xml
%_x11mandir/man1/anemotaxis.1*

%config %xss_ad_dir/ant.xss
%xss_hack_dir/ant
%xss_conf_dir/ant.xml
%_x11mandir/man1/ant.1*

%config %xss_ad_dir/apollonian.xss
%xss_hack_dir/apollonian
%xss_conf_dir/apollonian.xml
%_x11mandir/man1/apollonian.1*

%config %xss_ad_dir/apple2.xss
%xss_hack_dir/apple2
%xss_conf_dir/apple2.xml
%_x11mandir/man1/apple2.1*

%config %xss_ad_dir/attraction.xss
%xss_hack_dir/attraction
%xss_conf_dir/attraction.xml
%_x11mandir/man1/attraction.1*

%config %xss_ad_dir/barcode.xss
%xss_hack_dir/barcode
%xss_conf_dir/barcode.xml
%_x11mandir/man1/barcode.1*

%config %xss_ad_dir/blaster.xss
%xss_hack_dir/blaster
%xss_conf_dir/blaster.xml
%_x11mandir/man1/blaster.1*

%config %xss_ad_dir/blitspin.xss
%xss_hack_dir/blitspin
%xss_conf_dir/blitspin.xml
%_x11mandir/man1/blitspin.1*

%config %xss_ad_dir/bouboule.xss
%xss_hack_dir/bouboule
%xss_conf_dir/bouboule.xml
%_x11mandir/man1/bouboule.1*

%config %xss_ad_dir/braid.xss
%xss_hack_dir/braid
%xss_conf_dir/braid.xml
%_x11mandir/man1/braid.1*

%config %xss_ad_dir/bsod.xss
%xss_hack_dir/bsod
%xss_conf_dir/bsod.xml
%_x11mandir/man1/bsod.1*

%config %xss_ad_dir/bubbles.xss
%xss_hack_dir/bubbles
%xss_conf_dir/bubbles.xml
%_x11mandir/man1/bubbles.1*

%config %xss_ad_dir/bumps.xss
%xss_hack_dir/bumps
%xss_conf_dir/bumps.xml
%_x11mandir/man1/bumps.1*

%config %xss_ad_dir/ccurve.xss
%xss_hack_dir/ccurve
%xss_conf_dir/ccurve.xml
%_x11mandir/man1/ccurve.1*

%config %xss_ad_dir/cloudlife.xss
%xss_hack_dir/cloudlife
%xss_conf_dir/cloudlife.xml
%_x11mandir/man1/cloudlife.1*

%config %xss_ad_dir/compass.xss
%xss_hack_dir/compass
%xss_conf_dir/compass.xml
%_x11mandir/man1/compass.1*

%config %xss_ad_dir/coral.xss
%xss_hack_dir/coral
%xss_conf_dir/coral.xml
%_x11mandir/man1/coral.1*

%config %xss_ad_dir/critical.xss
%xss_hack_dir/critical
%xss_conf_dir/critical.xml
%_x11mandir/man1/critical.1*

%config %xss_ad_dir/crystal.xss
%xss_hack_dir/crystal
%xss_conf_dir/crystal.xml
%_x11mandir/man1/crystal.1*

%config %xss_ad_dir/cynosure.xss
%xss_hack_dir/cynosure
%xss_conf_dir/cynosure.xml
%_x11mandir/man1/cynosure.1*

%config %xss_ad_dir/decayscreen.xss
%xss_hack_dir/decayscreen
%xss_conf_dir/decayscreen.xml
%_x11mandir/man1/decayscreen.1*

%config %xss_ad_dir/deco.xss
%xss_hack_dir/deco
%xss_conf_dir/deco.xml
%_x11mandir/man1/deco.1*

%config %xss_ad_dir/deluxe.xss
%xss_hack_dir/deluxe
%xss_conf_dir/deluxe.xml
%_x11mandir/man1/deluxe.1*

%config %xss_ad_dir/demon.xss
%xss_hack_dir/demon
%xss_conf_dir/demon.xml
%_x11mandir/man1/demon.1*

%config %xss_ad_dir/discrete.xss
%xss_hack_dir/discrete
%xss_conf_dir/discrete.xml
%_x11mandir/man1/discrete.1*

%config %xss_ad_dir/distort.xss
%xss_hack_dir/distort
%xss_conf_dir/distort.xml
%_x11mandir/man1/distort.1*

%config %xss_ad_dir/drift.xss
%xss_hack_dir/drift
%xss_conf_dir/drift.xml
%_x11mandir/man1/drift.1*

%config %xss_ad_dir/epicycle.xss
%xss_hack_dir/epicycle
%xss_conf_dir/epicycle.xml
%_x11mandir/man1/epicycle.1*

%config %xss_ad_dir/eruption.xss
%xss_hack_dir/eruption
%xss_conf_dir/eruption.xml
%_x11mandir/man1/eruption.1*

%config %xss_ad_dir/euler2d.xss
%xss_hack_dir/euler2d
%xss_conf_dir/euler2d.xml
%_x11mandir/man1/euler2d.1*

%config %xss_ad_dir/fadeplot.xss
%xss_hack_dir/fadeplot
%xss_conf_dir/fadeplot.xml
%_x11mandir/man1/fadeplot.1*

%config %xss_ad_dir/flag.xss
%xss_hack_dir/flag
%xss_conf_dir/flag.xml
%_x11mandir/man1/flag.1*

%config %xss_ad_dir/flame.xss
%xss_hack_dir/flame
%xss_conf_dir/flame.xml
%_x11mandir/man1/flame.1*

%config %xss_ad_dir/flow.xss
%xss_hack_dir/flow
%xss_conf_dir/flow.xml
%_x11mandir/man1/flow.1*

%config %xss_ad_dir/fluidballs.xss
%xss_hack_dir/fluidballs
%xss_conf_dir/fluidballs.xml
%_x11mandir/man1/fluidballs.1*

%config %xss_ad_dir/fontglide.xss
%xss_hack_dir/fontglide
%xss_conf_dir/fontglide.xml
%_x11mandir/man1/fontglide.1*

%config %xss_ad_dir/forest.xss
%xss_hack_dir/forest
%xss_conf_dir/forest.xml
%_x11mandir/man1/forest.1*

%config %xss_ad_dir/fuzzyflakes.xss
%xss_hack_dir/fuzzyflakes
%xss_conf_dir/fuzzyflakes.xml
%_x11mandir/man1/fuzzyflakes.1*

%config %xss_ad_dir/galaxy.xss
%xss_hack_dir/galaxy
%xss_conf_dir/galaxy.xml
%_x11mandir/man1/galaxy.1*

%config %xss_ad_dir/goop.xss
%xss_hack_dir/goop
%xss_conf_dir/goop.xml
%_x11mandir/man1/goop.1*

%config %xss_ad_dir/grav.xss
%xss_hack_dir/grav
%xss_conf_dir/grav.xml
%_x11mandir/man1/grav.1*

%config %xss_ad_dir/greynetic.xss
%xss_hack_dir/greynetic
%xss_conf_dir/greynetic.xml
%_x11mandir/man1/greynetic.1*

%config %xss_ad_dir/halftone.xss
%xss_hack_dir/halftone
%xss_conf_dir/halftone.xml
%_x11mandir/man1/halftone.1*

%config %xss_ad_dir/halo.xss
%xss_hack_dir/halo
%xss_conf_dir/halo.xml
%_x11mandir/man1/halo.1*

%config %xss_ad_dir/helix.xss
%xss_hack_dir/helix
%xss_conf_dir/helix.xml
%_x11mandir/man1/helix.1*

%config %xss_ad_dir/hopalong.xss
%xss_hack_dir/hopalong
%xss_conf_dir/hopalong.xml
%_x11mandir/man1/hopalong.1*

%config %xss_ad_dir/hyperball.xss
%xss_hack_dir/hyperball
%xss_conf_dir/hyperball.xml
%_x11mandir/man1/hyperball.1*

%config %xss_ad_dir/hypercube.xss
%xss_hack_dir/hypercube
%xss_conf_dir/hypercube.xml
%_x11mandir/man1/hypercube.1*

%config %xss_ad_dir/ifs.xss
%xss_hack_dir/ifs
%xss_conf_dir/ifs.xml
%_x11mandir/man1/ifs.1*

%config %xss_ad_dir/imsmap.xss
%xss_hack_dir/imsmap
%xss_conf_dir/imsmap.xml
%_x11mandir/man1/imsmap.1*

%config %xss_ad_dir/interference.xss
%xss_hack_dir/interference
%xss_conf_dir/interference.xml
%_x11mandir/man1/interference.1*

%config %xss_ad_dir/jigsaw.xss
%xss_hack_dir/jigsaw
%xss_conf_dir/jigsaw.xml
%_x11mandir/man1/jigsaw.1*

%config %xss_ad_dir/juggle.xss
%xss_hack_dir/juggle
%xss_conf_dir/juggle.xml
%_x11mandir/man1/juggle.1*

%config %xss_ad_dir/julia.xss
%xss_hack_dir/julia
%xss_conf_dir/julia.xml
%_x11mandir/man1/julia.1*

%config %xss_ad_dir/kaleidescope.xss
%xss_hack_dir/kaleidescope
%xss_conf_dir/kaleidescope.xml
%_x11mandir/man1/kaleidescope.1*

%config %xss_ad_dir/kumppa.xss
%xss_hack_dir/kumppa
%xss_conf_dir/kumppa.xml
%_x11mandir/man1/kumppa.1*

%config %xss_ad_dir/laser.xss
%xss_hack_dir/laser
%xss_conf_dir/laser.xml
%_x11mandir/man1/laser.1*

%config %xss_ad_dir/lightning.xss
%xss_hack_dir/lightning
%xss_conf_dir/lightning.xml
%_x11mandir/man1/lightning.1*

%config %xss_ad_dir/lisa.xss
%xss_hack_dir/lisa
%xss_conf_dir/lisa.xml
%_x11mandir/man1/lisa.1*

%config %xss_ad_dir/lissie.xss
%xss_hack_dir/lissie
%xss_conf_dir/lissie.xml
%_x11mandir/man1/lissie.1*

%config %xss_ad_dir/lmorph.xss
%xss_hack_dir/lmorph
%xss_conf_dir/lmorph.xml
%_x11mandir/man1/lmorph.1*

%config %xss_ad_dir/loop.xss
%xss_hack_dir/loop
%xss_conf_dir/loop.xml
%_x11mandir/man1/loop.1*

%config %xss_ad_dir/maze.xss
%xss_hack_dir/maze
%xss_conf_dir/maze.xml
%_x11mandir/man1/maze.1*

%config %xss_ad_dir/memscroller.xss
%xss_hack_dir/memscroller
%xss_conf_dir/memscroller.xml
%_x11mandir/man1/memscroller.1*

%config %xss_ad_dir/metaballs.xss
%xss_hack_dir/metaballs
%xss_conf_dir/metaballs.xml
%_x11mandir/man1/metaballs.1*

%config %xss_ad_dir/mismunch.xss
%xss_hack_dir/mismunch
%xss_conf_dir/mismunch.xml
%_x11mandir/man1/mismunch.1*

%config %xss_ad_dir/moire.xss
%xss_hack_dir/moire
%xss_conf_dir/moire.xml
%_x11mandir/man1/moire.1*

%config %xss_ad_dir/moire2.xss
%xss_hack_dir/moire2
%xss_conf_dir/moire2.xml
%_x11mandir/man1/moire2.1*

%config %xss_ad_dir/mountain.xss
%xss_hack_dir/mountain
%xss_conf_dir/mountain.xml
%_x11mandir/man1/mountain.1*

%config %xss_ad_dir/munch.xss
%xss_hack_dir/munch
%xss_conf_dir/munch.xml
%_x11mandir/man1/munch.1*

%config %xss_ad_dir/nerverot.xss
%xss_hack_dir/nerverot
%xss_conf_dir/nerverot.xml
%_x11mandir/man1/nerverot.1*

%config %xss_ad_dir/noseguy.xss
%xss_hack_dir/noseguy
%xss_conf_dir/noseguy.xml
%_x11mandir/man1/noseguy.1*

%config %xss_ad_dir/pacman.xss
%xss_hack_dir/pacman
%xss_conf_dir/pacman.xml
%_x11mandir/man1/pacman.1*

%config %xss_ad_dir/pedal.xss
%xss_hack_dir/pedal
%xss_conf_dir/pedal.xml
%_x11mandir/man1/pedal.1*

%config %xss_ad_dir/penetrate.xss
%xss_hack_dir/penetrate
%xss_conf_dir/penetrate.xml
%_x11mandir/man1/penetrate.1*

%config %xss_ad_dir/penrose.xss
%xss_hack_dir/penrose
%xss_conf_dir/penrose.xml
%_x11mandir/man1/penrose.1*

%config %xss_ad_dir/petri.xss
%xss_hack_dir/petri
%xss_conf_dir/petri.xml
%_x11mandir/man1/petri.1*

%config %xss_ad_dir/phosphor.xss
%xss_hack_dir/phosphor
%xss_conf_dir/phosphor.xml
%_x11mandir/man1/phosphor.1*

%config %xss_ad_dir/piecewise.xss
%xss_hack_dir/piecewise
%xss_conf_dir/piecewise.xml
%_x11mandir/man1/piecewise.1*

%config %xss_ad_dir/polyominoes.xss
%xss_hack_dir/polyominoes
%xss_conf_dir/polyominoes.xml
%_x11mandir/man1/polyominoes.1*

%config %xss_ad_dir/pong.xss
%xss_hack_dir/pong
%xss_conf_dir/pong.xml
%_x11mandir/man1/pong.1*

%config %xss_ad_dir/popsquares.xss
%xss_hack_dir/popsquares
%xss_conf_dir/popsquares.xml
#_x11mandir/man1/popsquares.1*

%config %xss_ad_dir/pyro.xss
%xss_hack_dir/pyro
%xss_conf_dir/pyro.xml
%_x11mandir/man1/pyro.1*

%config %xss_ad_dir/qix.xss
%xss_hack_dir/qix
%xss_conf_dir/qix.xml
%_x11mandir/man1/qix.1*

%config %xss_ad_dir/rd-bomb.xss
%xss_hack_dir/rd-bomb
%xss_conf_dir/rd-bomb.xml
%_x11mandir/man1/rd-bomb.1*

%config %xss_ad_dir/ripples.xss
%xss_hack_dir/ripples
%xss_conf_dir/ripples.xml
%_x11mandir/man1/ripples.1*

%config %xss_ad_dir/rocks.xss
%xss_hack_dir/rocks
%xss_conf_dir/rocks.xml
%_x11mandir/man1/rocks.1*

%config %xss_ad_dir/rorschach.xss
%xss_hack_dir/rorschach
%xss_conf_dir/rorschach.xml
%_x11mandir/man1/rorschach.1*

%config %xss_ad_dir/rotor.xss
%xss_hack_dir/rotor
%xss_conf_dir/rotor.xml
%_x11mandir/man1/rotor.1*

%config %xss_ad_dir/rotzoomer.xss
%xss_hack_dir/rotzoomer
%xss_conf_dir/rotzoomer.xml
%_x11mandir/man1/rotzoomer.1*

%config %xss_ad_dir/shadebobs.xss
%xss_hack_dir/shadebobs
%xss_conf_dir/shadebobs.xml
%_x11mandir/man1/shadebobs.1*

%config %xss_ad_dir/sierpinski.xss
%xss_hack_dir/sierpinski
%xss_conf_dir/sierpinski.xml
%_x11mandir/man1/sierpinski.1*

%config %xss_ad_dir/slidescreen.xss
%xss_hack_dir/slidescreen
%xss_conf_dir/slidescreen.xml
%_x11mandir/man1/slidescreen.1*

%config %xss_ad_dir/slip.xss
%xss_hack_dir/slip
%xss_conf_dir/slip.xml
%_x11mandir/man1/slip.1*

%config %xss_ad_dir/sonar.xss
%xss_hack_dir/sonar
%xss_conf_dir/sonar.xml
%_x11mandir/man1/sonar.1*

%config %xss_ad_dir/speedmine.xss
%xss_hack_dir/speedmine
%xss_conf_dir/speedmine.xml
%_x11mandir/man1/speedmine.1*

%config %xss_ad_dir/sphere.xss
%xss_hack_dir/sphere
%xss_conf_dir/sphere.xml
%_x11mandir/man1/sphere.1*

%config %xss_ad_dir/spiral.xss
%xss_hack_dir/spiral
%xss_conf_dir/spiral.xml
%_x11mandir/man1/spiral.1*

%config %xss_ad_dir/spotlight.xss
%xss_hack_dir/spotlight
%xss_conf_dir/spotlight.xml
%_x11mandir/man1/spotlight.1*

%config %xss_ad_dir/squiral.xss
%xss_hack_dir/squiral
%xss_conf_dir/squiral.xml
%_x11mandir/man1/squiral.1*

%config %xss_ad_dir/starfish.xss
%xss_hack_dir/starfish
%xss_conf_dir/starfish.xml
%_x11mandir/man1/starfish.1*

%config %xss_ad_dir/strange.xss
%xss_hack_dir/strange
%xss_conf_dir/strange.xml
%_x11mandir/man1/strange.1*

%config %xss_ad_dir/swirl.xss
%xss_hack_dir/swirl
%xss_conf_dir/swirl.xml
%_x11mandir/man1/swirl.1*

%config %xss_ad_dir/t3d.xss
%xss_hack_dir/t3d
%xss_conf_dir/t3d.xml
%_x11mandir/man1/t3d.1*

%config %xss_ad_dir/thornbird.xss
%xss_hack_dir/thornbird
%xss_conf_dir/thornbird.xml
%_x11mandir/man1/thornbird.1*

%config %xss_ad_dir/triangle.xss
%xss_hack_dir/triangle
%xss_conf_dir/triangle.xml
%_x11mandir/man1/triangle.1*

%config %xss_ad_dir/truchet.xss
%xss_hack_dir/truchet
%xss_conf_dir/truchet.xml
%_x11mandir/man1/truchet.1*

%config %xss_ad_dir/twang.xss
%xss_hack_dir/twang
%xss_conf_dir/twang.xml
%_x11mandir/man1/twang.1*

%config %xss_ad_dir/vermiculate.xss
%xss_hack_dir/vermiculate
%xss_conf_dir/vermiculate.xml
%_x11mandir/man1/vermiculate.1*

%config %xss_ad_dir/vidwhacker.xss
%xss_hack_dir/vidwhacker
%xss_conf_dir/vidwhacker.xml
%_x11mandir/man1/vidwhacker.1*

%config %xss_ad_dir/vines.xss
%xss_hack_dir/vines
%xss_conf_dir/vines.xml
%_x11mandir/man1/vines.1*

%config %xss_ad_dir/wander.xss
%xss_hack_dir/wander
%xss_conf_dir/wander.xml
%_x11mandir/man1/wander.1*

%config %xss_ad_dir/webcollage.xss
%xss_hack_dir/webcollage
#xss_hack_dir/webcollage-helper
%xss_conf_dir/webcollage.xml
%_x11mandir/man1/webcollage.1*

%config %xss_ad_dir/whirlwindwarp.xss
%xss_hack_dir/whirlwindwarp
%xss_conf_dir/whirlwindwarp.xml
%_x11mandir/man1/whirlwindwarp.1*

%config %xss_ad_dir/whirlygig.xss
%xss_hack_dir/whirlygig
%xss_conf_dir/whirlygig.xml
%_x11mandir/man1/whirlygig.1*

%config %xss_ad_dir/worm.xss
%xss_hack_dir/worm
%xss_conf_dir/worm.xml
%_x11mandir/man1/worm.1*

%config %xss_ad_dir/wormhole.xss
%xss_hack_dir/wormhole
%xss_conf_dir/wormhole.xml
%_x11mandir/man1/wormhole.1*

%config %xss_ad_dir/xanalogtv.xss
%xss_hack_dir/xanalogtv
%xss_conf_dir/xanalogtv.xml
%_x11mandir/man1/xanalogtv.1*

%config %xss_ad_dir/xflame.xss
%xss_hack_dir/xflame
%xss_conf_dir/xflame.xml
%_x11mandir/man1/xflame.1*

%config %xss_ad_dir/xjack.xss
%xss_hack_dir/xjack
%xss_conf_dir/xjack.xml
%_x11mandir/man1/xjack.1*

%config %xss_ad_dir/xlyap.xss
%xss_hack_dir/xlyap
%xss_conf_dir/xlyap.xml
%_x11mandir/man1/xlyap.1*

%config %xss_ad_dir/xmatrix.xss
%xss_hack_dir/xmatrix
%xss_conf_dir/xmatrix.xml
%_x11mandir/man1/xmatrix.1*

%config %xss_ad_dir/xrayswarm.xss
%xss_hack_dir/xrayswarm
%xss_conf_dir/xrayswarm.xml
%_x11mandir/man1/xrayswarm.1*

%config %xss_ad_dir/xspirograph.xss
%xss_hack_dir/xspirograph
%xss_conf_dir/xspirograph.xml
%_x11mandir/man1/xspirograph.1*

#config %xss_ad_dir/xsublim.xss
%xss_hack_dir/xsublim
%_x11mandir/man1/xsublim.1*

%config %xss_ad_dir/xteevee.xss
%xss_hack_dir/xteevee
%xss_conf_dir/xteevee.xml
%_x11mandir/man1/xteevee.1*

%config %xss_ad_dir/zoom.xss
%xss_hack_dir/zoom
%xss_conf_dir/zoom.xml
%_x11mandir/man1/zoom.1*

%files hacks-gl
%_x11bindir/%name-gl-helper
%_x11mandir/man1/%name-gl-helper.1*

%config %xss_ad_dir/antinspect.xss
%xss_hack_dir/antinspect
%xss_conf_dir/antinspect.xml
%_x11mandir/man1/antinspect.1*

%config %xss_ad_dir/antspotlight.xss
%xss_hack_dir/antspotlight
%xss_conf_dir/antspotlight.xml
%_x11mandir/man1/antspotlight.1*

%config %xss_ad_dir/atlantis.xss
%xss_hack_dir/atlantis
%xss_conf_dir/atlantis.xml
%_x11mandir/man1/atlantis.1*

%config %xss_ad_dir/atunnel.xss
%xss_hack_dir/atunnel
%xss_conf_dir/atunnel.xml
%_x11mandir/man1/atunnel.1*

%config %xss_ad_dir/blinkbox.xss
%xss_hack_dir/blinkbox
%xss_conf_dir/blinkbox.xml
%_x11mandir/man1/blinkbox.1*

%config %xss_ad_dir/blocktube.xss
%xss_hack_dir/blocktube
%xss_conf_dir/blocktube.xml
%_x11mandir/man1/blocktube.1*

%config %xss_ad_dir/bouncingcow.xss
%xss_hack_dir/bouncingcow
%xss_conf_dir/bouncingcow.xml
%_x11mandir/man1/bouncingcow.1*

%config %xss_ad_dir/boxed.xss
%xss_hack_dir/boxed
%xss_conf_dir/boxed.xml
%_x11mandir/man1/boxed.1*

%config %xss_ad_dir/bubble3d.xss
%xss_hack_dir/bubble3d
%xss_conf_dir/bubble3d.xml
%_x11mandir/man1/bubble3d.1*

%config %xss_ad_dir/cage.xss
%xss_hack_dir/cage
%xss_conf_dir/cage.xml
%_x11mandir/man1/cage.1*

%config %xss_ad_dir/circuit.xss
%xss_hack_dir/circuit
%xss_conf_dir/circuit.xml
%_x11mandir/man1/circuit.1*

%config %xss_ad_dir/cubenetic.xss
%xss_hack_dir/cubenetic
%xss_conf_dir/cubenetic.xml
%_x11mandir/man1/cubenetic.1*

%config %xss_ad_dir/cubestorm.xss
%xss_hack_dir/cubestorm
%xss_conf_dir/cubestorm.xml
%_x11mandir/man1/cubestorm.1*

%config %xss_ad_dir/dangerball.xss
%xss_hack_dir/dangerball
%xss_conf_dir/dangerball.xml
%_x11mandir/man1/dangerball.1*

%config %xss_ad_dir/endgame.xss
%xss_hack_dir/endgame
%xss_conf_dir/endgame.xml
%_x11mandir/man1/endgame.1*

%config %xss_ad_dir/engine.xss
%xss_hack_dir/engine
%xss_conf_dir/engine.xml
%_x11mandir/man1/engine.1*

%config %xss_ad_dir/extrusion.xss
%xss_hack_dir/extrusion
%xss_conf_dir/extrusion.xml
%_x11mandir/man1/extrusion.1*

%config %xss_ad_dir/flipflop.xss
%xss_hack_dir/flipflop
%xss_conf_dir/flipflop.xml
%_x11mandir/man1/flipflop.1*

%config %xss_ad_dir/flipscreen3d.xss
%xss_hack_dir/flipscreen3d
%xss_conf_dir/flipscreen3d.xml
%_x11mandir/man1/flipscreen3d.1*

%config %xss_ad_dir/flurry.xss
%xss_hack_dir/flurry
%xss_conf_dir/flurry.xml
%_x11mandir/man1/flurry.1*

%config %xss_ad_dir/flyingtoasters.xss
%xss_hack_dir/flyingtoasters
%xss_conf_dir/flyingtoasters.xml
%_x11mandir/man1/flyingtoasters.1*

%config %xss_ad_dir/gears.xss
%xss_hack_dir/gears
%xss_conf_dir/gears.xml
%_x11mandir/man1/gears.1*

%config %xss_ad_dir/gflux.xss
%xss_hack_dir/gflux
%xss_conf_dir/gflux.xml
%_x11mandir/man1/gflux.1*

%config %xss_ad_dir/glblur.xss
%xss_hack_dir/glblur
%xss_conf_dir/glblur.xml
%_x11mandir/man1/glblur.1*

%config %xss_ad_dir/gleidescope.xss
%xss_hack_dir/gleidescope
%xss_conf_dir/gleidescope.xml
%_x11mandir/man1/gleidescope.1*

%config %xss_ad_dir/glforestfire.xss
%xss_hack_dir/glforestfire
%xss_conf_dir/glforestfire.xml
%_x11mandir/man1/glforestfire.1*

%config %xss_ad_dir/glknots.xss
%xss_hack_dir/glknots
%xss_conf_dir/glknots.xml
%_x11mandir/man1/glknots.1*

%config %xss_ad_dir/glmatrix.xss
%xss_hack_dir/glmatrix
%xss_conf_dir/glmatrix.xml
%_x11mandir/man1/glmatrix.1*

%config %xss_ad_dir/glplanet.xss
%xss_hack_dir/glplanet
%xss_conf_dir/glplanet.xml
%_x11mandir/man1/glplanet.1*

%config %xss_ad_dir/glslideshow.xss
%xss_hack_dir/glslideshow
%xss_conf_dir/glslideshow.xml
%_x11mandir/man1/glslideshow.1*

%config %xss_ad_dir/glsnake.xss
%xss_hack_dir/glsnake
%xss_conf_dir/glsnake.xml
%_x11mandir/man1/glsnake.1*

%config %xss_ad_dir/gltext.xss
%xss_hack_dir/gltext
%xss_conf_dir/gltext.xml
%_x11mandir/man1/gltext.1*

%config %xss_ad_dir/hypertorus.xss
%xss_hack_dir/hypertorus
%xss_conf_dir/hypertorus.xml
%_x11mandir/man1/hypertorus.1*

%config %xss_ad_dir/jigglypuff.xss
%xss_hack_dir/jigglypuff
%_x11libdir/%name/config/jigglypuff.xml
%_x11mandir/man1/jigglypuff.1*

%config %xss_ad_dir/klein.xss
%xss_hack_dir/klein
%xss_conf_dir/klein.xml
%_x11mandir/man1/klein.1*

%config %xss_ad_dir/lament.xss
%xss_hack_dir/lament
%xss_conf_dir/lament.xml
%_x11mandir/man1/lament.1*

%config %xss_ad_dir/lavalite.xss
%xss_hack_dir/lavalite
%xss_conf_dir/lavalite.xml
%_x11mandir/man1/lavalite.1*

%config %xss_ad_dir/menger.xss
%xss_hack_dir/menger
%xss_conf_dir/menger.xml
%_x11mandir/man1/menger.1*

%config %xss_ad_dir/mirrorblob.xss
%xss_hack_dir/mirrorblob
%xss_conf_dir/mirrorblob.xml
%_x11mandir/man1/mirrorblob.1*

%config %xss_ad_dir/moebius.xss
%xss_hack_dir/moebius
%xss_conf_dir/moebius.xml
%_x11mandir/man1/moebius.1*

%config %xss_ad_dir/molecule.xss
%xss_hack_dir/molecule
%xss_conf_dir/molecule.xml
%_x11mandir/man1/molecule.1*

%config %xss_ad_dir/morph3d.xss
%xss_hack_dir/morph3d
%xss_conf_dir/morph3d.xml
%_x11mandir/man1/morph3d.1*

%config %xss_ad_dir/noof.xss
%xss_hack_dir/noof
%xss_conf_dir/noof.xml
%_x11mandir/man1/noof.1*

%config %xss_ad_dir/pipes.xss
%xss_hack_dir/pipes
%xss_conf_dir/pipes.xml
%_x11mandir/man1/pipes.1*

%config %xss_ad_dir/polyhedra.xss
%xss_hack_dir/polyhedra
%xss_conf_dir/polyhedra.xml
%_x11mandir/man1/polyhedra.1*

%config %xss_ad_dir/polytopes.xss
%xss_hack_dir/polytopes
%xss_conf_dir/polytopes.xml
%_x11mandir/man1/polytopes.1*

%config %xss_ad_dir/providence.xss
%xss_hack_dir/providence
%xss_conf_dir/providence.xml
%_x11mandir/man1/providence.1*

%config %xss_ad_dir/pulsar.xss
%xss_hack_dir/pulsar
%xss_conf_dir/pulsar.xml
%_x11mandir/man1/pulsar.1*

%config %xss_ad_dir/queens.xss
%xss_hack_dir/queens
%xss_conf_dir/queens.xml
%_x11mandir/man1/queens.1*

%config %xss_ad_dir/rubik.xss
%xss_hack_dir/rubik
%xss_conf_dir/rubik.xml
%_x11mandir/man1/rubik.1*

%config %xss_ad_dir/sballs.xss
%xss_hack_dir/sballs
%xss_conf_dir/sballs.xml
%_x11mandir/man1/sballs.1*

%config %xss_ad_dir/sierpinski3d.xss
%xss_hack_dir/sierpinski3d
%xss_conf_dir/sierpinski3d.xml
%_x11mandir/man1/sierpinski3d.1*

%config %xss_ad_dir/spheremonics.xss
%xss_hack_dir/spheremonics
%xss_conf_dir/spheremonics.xml
%_x11mandir/man1/spheremonics.1*

%config %xss_ad_dir/sproingies.xss
%xss_hack_dir/sproingies
%xss_conf_dir/sproingies.xml
%_x11mandir/man1/sproingies.1*

%config %xss_ad_dir/stairs.xss
%xss_hack_dir/stairs
%xss_conf_dir/stairs.xml
%_x11mandir/man1/stairs.1*

%config %xss_ad_dir/starwars.xss
%xss_hack_dir/starwars
%xss_conf_dir/starwars.xml
%_x11mandir/man1/starwars.1*

%config %xss_ad_dir/stonerview.xss
%xss_hack_dir/stonerview
%xss_conf_dir/stonerview.xml
%_x11mandir/man1/stonerview.1*

%config %xss_ad_dir/superquadrics.xss
%xss_hack_dir/superquadrics
%xss_conf_dir/superquadrics.xml
%_x11mandir/man1/superquadrics.1*

%files gnome
%_bindir/screensaver-properties-capplet
%_datadir/control-center-2.0/*/*
#_datadir/pixmaps/%name-capplet.png
%_datadir/pixmaps/%name.xpm
%_menudir/%name-gnome

%files kde
%_bindir/%name.kss
%_menudir/%name-kde

%files contrib
%doc %xss_conf_dir/README
%config %xss_ad_dir/cosmos.xss
%config %xss_ad_dir/electricsheep.xss
%config %xss_ad_dir/goban.xss
%config %xss_ad_dir/fireflies.xss
%config %xss_ad_dir/sphereeversion.xss
%config %xss_ad_dir/xaos.xss
%config %xss_ad_dir/xdaliclock.xss
%config %xss_ad_dir/xearth.xss
%config %xss_ad_dir/xfishtank.xss
%config %xss_ad_dir/xmountains.xss
%config %xss_ad_dir/xplanet.xss
%config %xss_ad_dir/xsnow.xss
%xss_conf_dir/cosmos.xml
%xss_conf_dir/electricsheep.xml
%xss_conf_dir/goban.xml
%xss_conf_dir/fireflies.xml
#xss_conf_dir/klein.xml
%xss_conf_dir/sphereeversion.xml
%xss_conf_dir/ssystem.xml
%xss_conf_dir/xaos.xml
%xss_conf_dir/xdaliclock.xml
%xss_conf_dir/xearth.xml
%xss_conf_dir/xfishtank.xml
%xss_conf_dir/xmountains.xml
%xss_conf_dir/xplanet.xml
%xss_conf_dir/xsnow.xml

%changelog
* Mon Aug 16 2004 Sir Raorn <raorn@altlinux.ru> 4.18-alt1
- [4.18]
- New hacks:
  anemotaxis
  memscroller

* Thu May 13 2004 Sir Raorn <raorn@altlinux.ru> 4.16-alt1
- [4.16]
- Fix deps in -kde (kdebase -> kdebase-common)
- Spec cleanup
- New hacks:
  antinspect (GL)
  fuzzyflakes
  polyhedra (GL)
  providence (GL)

* Tue Mar 02 2004 Sir Raorn <raorn@altlinux.ru> 4.15-alt1
- [4.15]
- New hacks:
  mismunch
  noof (GL)
  pacman
  wormhole

* Sun Nov 09 2003 Sir Raorn <raorn@altlinux.ru> 4.14-alt2
- Fixed insecure tempfile handling

* Tue Oct 28 2003 Sir Raorn <raorn@altlinux.ru> 4.14-alt1
- [4.14]
- New hacks:
  apple2
  blinkbox (GL)
  fontglide
  gleidescope (GL)
  mirrorblob (GL)
  pong
  xanalogtv

* Mon Sep 22 2003 Sir Raorn <raorn@altlinux.ru> 4.13-alt1
- [4.13]
- ljlatest helper (fortune(6) replacement - see man ljlatest)

* Sat Sep 06 2003 Sir Raorn <raorn@altlinux.ru> 4.12-alt1
- [4.12]
- New hacks:
  antspotlight (GL)
  fireflies (contrib)
  flipflop (GL)
  polytopes (GL)

* Wed Jul 02 2003 Sir Raorn <raorn@altlinux.ru> 4.11-alt1
- [4.11]
- Updated patches:
  alt-pam_userpass
  alt-encoding
  alt-glplanet-args
  alt-perl-disable-diagnostics
- New hacks:
  blocktube (GL)
  cloudlife
  cubestorm (GL)
  glknots (GL)
  glmatrix (GL)
  hypertorus (GL)
  klein (GL)

* Sat May 17 2003 Sir Raorn <raorn@altlinux.ru> 4.09-alt3
- Dropped pixbuf support (this removes daemon's dependency to
  libgtk+2)
- netpbm and libjpeg-utils are *required* by webcollage (-hacks)
- fortune-mod is really required by noseguy, phosphor and
  starwars (-hacks and -hacks-gl)

* Sat May 10 2003 Sir Raorn <raorn@altlinux.ru> 4.09-alt2
- xscreensaver-demo moved to -frontend subpackage
- Added xscreensaver-demo menu entry

* Mon Apr 14 2003 Sir Raorn <raorn@altlinux.ru> 4.09-alt1
- [4.09]
- Updated BuildRequires
- Split to xscreensaver, xscreensaver-hacks and xscreensaver-hacks-gl
- Replace chbg with xli in Requires
- Ignore missing hacks by default (suggested by rider)
- Use MIT-SCREEN-SAVER by default if available
- Set .loadURL program to url_handler.sh from urlview package
- Set .manualCommand to xvt ... -e sh -c man (get rid of fscking yelp)
- Fix glplanet's config and manpage (closes #0002399)
- Do not 'use diagnostics' in perl scripts since it (indirectly)
  requires perl-pod (reported by dfo)
- Split XScreenSaver AD to pieces 
  update-xscreensaver script
- RPM macros (in -devel)
- New hacks:
  bouncingcow (GL)
  extrusion (GLE)
  flyingtoasters (GL)
  glslideshow (GL)
  jigglypuff (GL)

* Mon Mar 10 2003 Sir Raorn <raorn@altlinux.ru> 4.08-alt1
- [4.08]
- mesa_version patch is no longer needed
- New hacks:
  atunnel (GL)
  barcode
  eruprion
  flurry (GL)
  metaballs
  piecewise
  popsquares
- Fix icon in -gnome
- XScreenSaver AD is no longer "noreplace"

* Tue Nov 19 2002 Sir Raorn <raorn@altlinux.ru> 4.06-alt2
- Added -contrib package
- Fixed filelist (all work and no sleep makes raorn a dull boy)
- Patch by Cyril "Sir Kot" Margorin <cyrilm@immo.ru>:
  Walk through Maze after solving it

* Sun Nov 17 2002 Sir Raorn <raorn@altlinux.ru> 4.06-alt1
- [4.06]
- Specfile rewritten from scratch
- Patches from 4.00-alt3:
  oneshot
  pam_userpass
  progname
- KDE and GNOME control panel applets



